Weakness relationships
Parent, child, and peer weaknesses.
GET/api/v1/cwes/{cweId}/relationships
The CWE relationship graph for one weakness — its parents, children, and peers in the MITRE hierarchy, each with the nature of the relationship.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
cweId | path | string | Weakness id (79, CWE-79, or cwe-79). |
Example request
curl "https://radicalnotion.ai/api/v1/cwes/CWE-502/relationships" \
-H "Authorization: Bearer $RN_TOKEN"Example response
{
"cwe_id": "CWE-502",
"count": 2,
"relationships": [
{
"cwe_id": "CWE-913",
"slug": "cwe-913",
"name": "Improper Control of Dynamically-Managed Code Resources",
"nature": "Parent"
},
{
"cwe_id": "CWE-915",
"slug": "cwe-915",
"name": "Improperly Controlled Modification of Dynamically-Determined Object Attributes",
"nature": "Peer"
}
]
}Response schema
| Field | Type | Description |
|---|---|---|
cwe_id | string | The weakness the relationships are for. |
count | integer | Number of related weaknesses. |
relationships[].cwe_id / slug / name | string | The related weakness. |
relationships[].nature | string | Relationship nature: Parent, Child, Peer, ... |
Responses
| Status | Meaning |
|---|---|
200 | Success. |
400 | A path or query parameter failed validation. |
401 | Missing or invalid access token. |
429 | Rate limit exceeded. |